DTPARAM(1)

NAME
dtparam - mainpulate parameters of the base device-tree

SYNOPSIS
dtparam [param=val...]
dtparam -h [param]

DESCRIPTION
dtparam is a command line utility for manipulating the base device-tree's parameters. For example, it can be used to enable the SPI or I2C interfaces at runtime without rebooting. If dtparam is run without any argument, it prints the names of all base device-tree parameters and their description.

OPTIONS

-h [param]
    If given without param displays help on the application overall. If param is specified, prints help about that parameter in the base device-tree.

EXAMPLES

sudo dtparam spi=on
    Enable the SPI interface on the GPIO header. Note that root privileges are usually required for manipulating the base device-tree (hence, sudo in the example).

dtparam -h spi
    Print help about the "spi" parameter.

sudo dtparam audio=off
    Disable the audio output.

SEE ALSO
dtoverlay(1), dtmerge(1), [DTREE]

REFERENCES

[DTREE]
    https://www.raspberrypi.com/documentation/computers/configuration.html#part3.5.2